FUNCTION TEMPLA(3)

NAME
boost::xpressive::optional - Make a sub-expression optional. Equivalent to !as_xpr(expr).

SYNOPSIS

// In header: <boost/xpressive/regex_primitives.hpp>
template<typename Expr>
  proto::result_of::make_expr< proto::tag::logical_not, proto::default_domain, Expr const & >::type const
  optional(Expr const & expr);

DESCRIPTION

Parameters:

    expr
        The sub-expression to make optional.